org.eclipse.viatra.integration.mwe2.mwe2impl

## Class WhileLoop

- java.lang.Object
- - org.eclipse.viatra.integration.mwe2.mwe2impl.Sequence
  - - org.eclipse.viatra.integration.mwe2.mwe2impl.WhileLoop

- All Implemented Interfaces:
    ICompositeStep, ITransformationStep
  Direct Known Subclasses:
    DoWhileLoop

      public class WhileLoop
      extends Sequence

  Composite transformation step that implements a 'while' style loop. similar to the conditional step, the dynamically evaluated loop condition is provided by an IConditionProvider.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected IConditionProvider` | `condition`

    - ### Fields inherited from class org.eclipse.viatra.integration.mwe2.mwe2impl.Sequence

      `ctx, step`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WhileLoop()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute()` Defines the added functionality of the ITransformationStep object
    `void` | `initialize(org.eclipse.emf.mwe2.runtime.workflow.IWorkflowContext ctx)` In this method the transformation step can be initialized.
    `void` | `setCondition(IConditionProvider condition)`

    - ### Methods inherited from class org.eclipse.viatra.integration.mwe2.mwe2impl.Sequence

      `addStep, dispose, getStep`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### condition

          protected IConditionProvider condition

  - ### Constructor Detail

    - #### WhileLoop

          public WhileLoop()

  - ### Method Detail

    - #### execute

          public void execute()

      Description copied from interface: `ITransformationStep`
      Defines the added functionality of the ITransformationStep object
      Specified by:
        `execute` in interface `ITransformationStep`
      Overrides:
        `execute` in class `Sequence`

    - #### initialize

          public void initialize(org.eclipse.emf.mwe2.runtime.workflow.IWorkflowContext ctx)

      Description copied from interface: `ITransformationStep`
      In this method the transformation step can be initialized. The workflow context is handed to the transformation step
      Specified by:
        `initialize` in interface `ITransformationStep`
      Overrides:
        `initialize` in class `Sequence`
      Parameters:
        `ctx` - The context of the workflow, which can contain various workflow-specific resources.

    - #### setCondition

          public void setCondition(IConditionProvider condition)